# ApplicationFramework
TKPLCAF
MDataStd

# MDataStd_RealArrayRetrievalDriver_1 Class Reference

Retrieval driver of RealArray attribute supporting
delta mechanism by default
.

`#include <MDataStd_RealArrayRetrievalDriver_1.hxx>`

Inheritance diagram for MDataStd_RealArrayRetrievalDriver_1:

[legend]

## Public Member Functions

Standard_EXPORT | MDataStd_RealArrayRetrievalDriver_1 (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 1. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: RealArray from PDataStd. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDataStd_RealArrayRetrievalDriver_1::MDataStd_RealArrayRetrievalDriver_1 | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDataStd_RealArrayRetrievalDriver_1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ARDriver.

Standard_EXPORT Handle_TDF_Attribute MDataStd_RealArrayRetrievalDriver_1::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT void MDataStd_RealArrayRetrievalDriver_1::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Handle_Standard_Type MDataStd_RealArrayRetrievalDriver_1::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Standard_Integer MDataStd_RealArrayRetrievalDriver_1::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MDataStd_RealArrayRetrievalDriver_1.hxx